## mate-window-applets 21.04.0

=== meson_options.txt ===
option('build-window-buttons', type: 'boolean',value:true)
option('build-window-menu', type: 'boolean',value:true)
option('build-window-title', type: 'boolean',value:true)

## mate-window-applets 1.5

=== debian/changelog ===
mate-window-applets (1.5-2) unstable; urgency=medium

  * debian/mate-window-applets-common.install:
    + Install icons into common bin:pkg.
  * debian/patches:
    + Add 0001-fix-high-memory-consumption.patch. Fix high memory consumption.
      Cherry-picked from upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Oct 2017 11:37:13 +0100

mate-window-applets (1.5-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #878179).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Oct 2017 19:58:22 +0000

=== debian/control ===
Source: mate-window-applets
Section: utils
Priority: optional
Maintainer: Debian MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: Martin Wimpress <code@flexion.org>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 10.3~),
               dpkg-dev (>= 1.16.1.1~),
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.22.0),
               libmate-panel-applet-dev (>= 1.18),
               libwnck-3-dev,
               meson,
               valac,
Homepage: https://github.com/IKRadulov/mate-window-applets
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-window-applets.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-window-applets.git
Standards-Version: 4.1.1

Package: mate-window-buttons-applet
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mate-window-applets-common (>= ${source:Version}),
         mate-panel,
Description: MATE Window Applets (WindowButtons Applet)
 The MATE Window Applets collection provides various applets to show
 window control elements in the MATE Panel.
 .
 This WindowButtons applet shows you the close, minimize and actions
 buttons.

Package: mate-window-title-applet
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mate-window-applets-common (>= ${source:Version}),
         mate-panel,
Description: MATE Window Applets (WindowTitle Applet)
 The MATE Window Applets collection provides various applets to show
 window control elements in the MATE Panel.
 .
 This WindowTitle applet shows you the class, title, role, xid and pid of
 the active window.

Package: mate-window-menu-applet
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mate-window-applets-common (>= ${source:Version}),
         mate-panel,
Description: MATE Window Applets (WindowMenu Applet)
 The MATE Window Applets collection provides various applets to show
 window control elements in the MATE Panel.
 .
 This WindowMenu applet shows you the window menu of the active window.

Package: mate-window-applets-common
Architecture: all
Depends: ${misc:Depends},
Description: MATE Window Applets (common files)
 The MATE Window Applets collection provides various applets to show
 window control elements in the MATE Panel.
 .
 This package contains the arch-independent files of the MATE Windows
 Applets.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mate-window-applets-$1.tar.gz/ \
https://github.com/IKRadulov/mate-window-applets/tags .*/archive/v?([\d\.]+).tar.gz

## mate-window-applets 1.5.1

=== debian/changelog ===
mate-window-applets (1.5.1-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Jul 2018 13:47:30 +0200

mate-window-applets (1.5.1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Add myself to Uploaders: field.
    + Temporarily have pkg-mate-team ML under Uploaders:.

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.
  * debian/{control,copyright,watch}:
    + New upstream location updated.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Apr 2018 22:45:15 +0200

mate-window-applets (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add D (mate-window-applets-common): libglib2.0-bin. (Closes: #881651).
  * debian/patches:
    + Drop 0001-fix-high-memory-consumption.patch. Included in this upstream
      release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 09:18:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mate-window-applets
 Section: utils
 Priority: optional
-Maintainer: Debian MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: Martin Wimpress <code@flexion.org>,
            Mike Gabriel <sunweaver@debian.org>,
+           Vangelis Mouhtsis <vangelis@gnugr.org>,
 Build-Depends: debhelper (>= 10.3~),
                dpkg-dev (>= 1.16.1.1~),
                libglib2.0-dev (>= 2.40.0),
@@ -12,10 +13,10 @@
                libwnck-3-dev,
                meson,
                valac,
-Homepage: https://github.com/IKRadulov/mate-window-applets
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-window-applets.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-window-applets.git
-Standards-Version: 4.1.1
+Homepage: https://github.com/ubuntu-mate/mate-window-applets
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-window-applets
+Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-window-applets.git
+Standards-Version: 4.1.5
 
 Package: mate-window-buttons-applet
 Architecture: any
@@ -58,6 +59,7 @@
 Package: mate-window-applets-common
 Architecture: all
 Depends: ${misc:Depends},
+         libglib2.0-bin,
 Description: MATE Window Applets (common files)
  The MATE Window Applets collection provides various applets to show
  window control elements in the MATE Panel.

## mate-window-applets 19.10.0

=== debian/changelog ===
mate-window-applets (19.10.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Fri, 10 May 2019 08:12:20 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://github.com/ubuntu-mate/mate-window-applets
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-window-applets
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-window-applets.git
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 
 Package: mate-window-buttons-applet
 Architecture: any

## mate-window-applets 19.10.2

=== debian/changelog ===
mate-window-applets (19.10.2-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 19 Jun 2019 20:50:35 +0100

## mate-window-applets 19.10.3

=== debian/changelog ===
mate-window-applets (19.10.3-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Thu, 01 Aug 2019 23:20:12 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf --buildsystem=meson


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..

## mate-window-applets 19.10.4

=== debian/changelog ===
mate-window-applets (19.10.4-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 23 Sep 2019 19:00:05 +0100

mate-window-applets (19.10.3-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/mate-window-applets-common.install:
    + Update where fallback icons are installed.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 17:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://github.com/ubuntu-mate/mate-window-applets
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-window-applets
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-window-applets.git
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 
 Package: mate-window-buttons-applet
 Architecture: any

## mate-window-applets 20.04.0

=== debian/changelog ===
mate-window-applets (20.04.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Feb 2020 22:08:10 +0100

mate-window-applets (19.10.4-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 00:39:57 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
 Homepage: https://github.com/ubuntu-mate/mate-window-applets
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-window-applets
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-window-applets.git
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: mate-window-buttons-applet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 
 get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mate-window-applets-$1.tar.gz/ \
https://github.com/ubuntu-mate/mate-window-applets/tags .*/archive/v?([\d\.]+).tar.gz

## mate-window-applets 21.04.0

=== debian/changelog ===
mate-window-applets (21.04.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 08:07:28 +0100

mate-window-applets (20.04.0-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://github.com/ubuntu-mate/mate-window-applets
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-window-applets
 Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-window-applets.git
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: mate-window-buttons-applet

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mate-window-applets-$1.tar.gz/ \
https://github.com/ubuntu-mate/mate-window-applets/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
